package com.nuliji.tools.shiro.session;

import java.io.Serializable;
import java.util.Collection;
import org.apache.shiro.session.Session;

/**
 * Created by gaojie on 2017/11/7.
 */
public interface SessionRepository {
    void saveSession(Session session);
    void deleteSession(Serializable sessionId);
    Session getSession(Serializable sessionId);
    Collection<Session> getAllSessions();
}